PCI_WAKE_FROM_D3(9)

NAME
pci_wake_from_d3 - enable/disable device to wake up from D3_hot or D3_cold

SYNOPSIS

int pci_wake_from_d3(struct pci_dev * dev, bool enable);

ARGUMENTS

dev
    PCI device to prepare

enable
    True to enable wake-up event generation; false to disable

DESCRIPTION

Many drivers want the device to wake up the system from D3_hot or D3_cold and this function allows them to set that up cleanly - pci_enable_wake should not be called twice in a row to enable wake-up due to PCI PM vs ACPI ordering constraints.

This function only returns error code if the device is not capable of generating PME# from both D3_hot and D3_cold, and the platform is unable to enable wake-up power for it.

COPYRIGHT